# objects.clear

Removes all the user class definitions

Usage

    objects.clear [-i]

Description
Removes the definition of all the user classes and kill all the object instances (also instances of the builtin classes). If the -i switch is used, only the object instances are cleared but the class definitions are left unchanged. This command should be used only for debugging & testing purposes and in particular should be NEVER used from inside an object function handler (leads to SIGSEGV :).
Syntax Specification

    objects.clear [-i]

See also
class, objects.killclass, objects documentation

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013